FORM {
	display: block;
	max-width: 640px;
	margin: auto;
}
FORM LABEL {
	display: inline-block;
	margin-right: 10px;
	vertical-align: text-top;
}
FORM INPUT[type=checkbox] {
  /* Double-sized Checkboxes */
  -ms-transform: scale(2); /* IE */
  -moz-transform: scale(2); /* FF */
  -webkit-transform: scale(2); /* Safari and Chrome */
  -o-transform: scale(2); /* Opera */
  padding: 10px;
  margin-bottom: 10px;
}

FORM H1:first-child,
FORM H2:first-child,
FORM H3:first-child,
FORM H4:first-child,
FORM H5:first-child {
	text-align: center;
   margin: 0 0 10px 0;
}

FORM TEXTAREA,
FORM SELECT,
FORM INPUT[type=password],
FORM INPUT[type=text],
FORM INPUT[type=number],
FORM INPUT[type=time],
FORM INPUT.filename {
	width: 300px;
   min-height: 26px;
	padding: 2px 4px;
	margin: 2px 0;
	background: #fafafa;
	border: solid 1px #888;
	color: #00f;
	font-size: 18px;
}

FORM TEXTAREA {
	height: 110px;
	vertical-align: text-top;
}
FORM SELECT {
	width: 310px;
	padding: 2px 0;
}
FORM INPUT[readonly] {
	background: #ddd;
	color: gray;
}
FORM INPUT[type=file] {
	display: none;
}
FORM DIV.buttons {
	padding-top: 5px;
	text-align: right;
}
FORM A.upload_button,
FORM INPUT[type=submit],
FORM INPUT[type=button] {
	margin: 2px;
	padding: 2px 10px;
	color: black;	
	font-size: 18px;
	cursor: pointer;
	border-radius: 5px;
	text-decoration: none;
   display: inline-block;
	border: outset 2px #E0EEFF;
	background-color: #C0D6F3;
}
FORM A.upload_button,
FORM A.del_button {
	margin: 4px 0 3px 5px;
	font-size: 12px;
	min-height: 16px;
	vertical-align: middle;
}
FORM A.del_button {
	color: red;
}
FORM INPUT.filename {
	width: 300px;
	border: solid 1px #dbdbdb;
	padding: 3px;
}
FORM INPUT[disabled] {
	opacity: .5;
	cursor: default;
}

FORM DIV.field {
	position: relative;
	text-align: right;
}
FORM DIV.field.checkbox {
	text-align: right;
	padding-top: 5px;
}
FORM DIV.field.radio {
	text-align: left;
	line-height: 2;
}

FORM DIV.field.loading::after {
	content: url('img/rc_loading.gif');
	position: absolute;
	top: 8px;
	right: -23px;
}
FORM DIV.field.ok::after {
	content: url('img/rc_ok.png');
	position: absolute;
	top: 8px;
	right: -23px;
}
FORM DIV.field.error::after {
	content: url('img/rc_error.png');
	position: absolute;
	top: 8px;
	right: -23px;
}

FORM IFRAME.upload_frame {
	position: absolute;
	border: 0;
	width: 0;
	height: 0;
	opacity: 0;
	visibility: hidden;
}

DIV.rc {
	text-align: center;
	font-size: 20px;
	min-height: 24px;
	padding-top: 20px;
}
DIV.rc SPAN {
	background: #f8f8f8;
	padding: 3px 10px;
	border-radius: 5px;
}
DIV.rc SPAN.err,
DIV.rc SPAN.error {
	background: url('img/rc_error.png') rgba(255,0,0,.1) no-repeat 8px 8px;
	padding-left: 30px;
	color: red;
}
DIV.rc SPAN.ok {
	background: url('img/rc_ok.png') rgba(0,255,0,.1) no-repeat 8px 8px;
	padding-left: 30px;
	color: green;
}

@media screen and (max-width: 600px) {
	FORM {
		width: 310px;
	}	
	FORM LABEL {
		width: auto;
		display: block;
		text-align: left;
		position: static;
	}
	FORM H1,FORM H2,FORM H3,FORM H4,FORM H5 {
		margin-left: 0;
	}
	
	FORM INPUT[type=text],
	FORM TEXTAREA {
		width: 300px;	
	}
	FORM DIV.field {
		margin-bottom: 30px;
	}
}	
